package probe

import (
	"fmt"

	"git.loafle.net/commons_go/logging"
	crc "git.loafle.net/commons_go/rpc/client"
	crr "git.loafle.net/commons_go/rpc/registry"
	oogwc "git.loafle.net/overflow/overflow_gateway_websocket/client"
)

func newClientHandler(rpcInvoker crr.RPCInvoker) oogwc.ClientHandler {
	ch := &ClientHandlers{}
	ch.ClientHandler = oogwc.NewClientHandler(rpcInvoker)

	return ch
}

type ClientHandlers struct {
	oogwc.ClientHandler
}

func (ch *ClientHandlers) Init(clientCTX crc.ClientContext) error {
	logging.Logger().Info(fmt.Sprintf("Probe: client has been initialized"))

	return nil
}

func (ch *ClientHandlers) Destroy(clientCTX crc.ClientContext) {
	logging.Logger().Info(fmt.Sprintf("Probe: client has been destroyed"))
}
